body:has(.modal.open) {
    overflow: hidden;
}

/* SERCH MODAL */
body:has(.modal.open.searchModal) #nahradavyhladavanie {
    display: block;
    height: 42px;
}
body:has(.modal.open.searchModal) #vyhladavanie {
    z-index: 100001;
    position: fixed;
    padding-left: calc(1rem + 50px);
    margin-left: -49px;
    top: 0;
    margin-top: calc(1% + 0.5rem);
}
body:has(.modal.open.searchModal) #vyhladavanie input {
    border-radius: 5px;
}
@media (max-width:1023px) {
    body:has(.modal.open.searchModal) #vyhladavanie  {
        left: calc(5% + 1.35rem);
        right: calc(5% + 3.3rem);
        padding-left:0;
        padding-right: 0;
        margin-left:0;
    }
    .modal .modal-box {
        max-width: 90%;
        max-height: 90%;
    }
    .modal.open.searchModal .modal-box {
        width: 90%;
    }
}
.searchModal .modal-content {
    border-top:1px solid #E0E0E0;
}
/* END SEARCH MODAL */

.modal .modal-header h2 img {
    max-height: 1.5rem;
}
.modal.modal.searchModal {
    align-items: flex-start;
    padding-top: 1%;
}

/* CART ITEM */
.cartItem {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 30px;

    border-bottom: 1px solid #f5f6ee;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .1);
    padding: 10px 20px;
}
.cartItem  img {
    height: 64px;
}
.cartItem p {
    margin-bottom: 0;
}
.itemName {
    flex-grow: 2;
    color: #2C6822;
    text-align: left;
}
.itemLabel {
    color: #fff;
    border-radius: 5px !important;
    padding: 4px 10px;
}
.itemLabel.akcia {
    background: #A80000;
}
.itemLabel.novinka {
    background: #7AB026;
}
.itemLabel.favorite {
    background: #0054d2;
}
.itemAmount {
    color: #828282;
}
.itemPrice {
    color: #444444;
    font-weight: 700;
}
@media (max-width: 768px) {
    .cartItem {
        padding: 10px;
        margin: 0 -10px;
    }
}
